// ClassOptions1.cpp : implementation file
//

#include "stdafx.h"
#include "VisualClassBuilder.h"
#include "ClassOptions1.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClassOptions1 property page

IMPLEMENT_DYNCREATE(CClassOptions1, CPropertyPage)

CClassOptions1::CClassOptions1() : CPropertyPage(CClassOptions1::IDD)
{
	//{{AFX_DATA_INIT(CClassOptions1)
	m_Author = _T("");
	m_ClassName = _T("");
	m_HeaderFile = _T("");
	m_ImplementationFile = _T("");
	m_Description = _T("");
	//}}AFX_DATA_INIT
}

CClassOptions1::~CClassOptions1()
{
}

void CClassOptions1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CClassOptions1)
	DDX_Text(pDX, IDC_EDIT_AUTHOR, m_Author);
	DDV_MaxChars(pDX, m_Author, 256);
	DDX_Text(pDX, IDC_EDIT_CLASS_NAME, m_ClassName);
	DDV_MaxChars(pDX, m_ClassName, 256);
	DDX_Text(pDX, IDC_EDIT_HEADER_FILE, m_HeaderFile);
	DDV_MaxChars(pDX, m_HeaderFile, 1024);
	DDX_Text(pDX, IDC_EDIT_IMPLEMENTATION_FILE, m_ImplementationFile);
	DDV_MaxChars(pDX, m_ImplementationFile, 1024);
	DDX_Text(pDX, IDC_EDIT_DESCRIPTION, m_Description);
	DDV_MaxChars(pDX, m_Description, 256);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CClassOptions1, CPropertyPage)
	//{{AFX_MSG_MAP(CClassOptions1)
	ON_EN_CHANGE(IDC_EDIT_CLASS_NAME, OnChangeEditClassName)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CClassOptions1 message handlers

void CClassOptions1::OnChangeEditClassName() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CPropertyPage::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	UpdateData(TRUE);

	CString strHeaderFile, strImplementationFile;
	if (m_ClassName.Left(1) == _T("C"))
	{
		strHeaderFile.Format(_T("%s.h"), m_ClassName.Right(m_ClassName.GetLength()-1));
		strImplementationFile.Format(_T("%s.cpp"), m_ClassName.Right(m_ClassName.GetLength()-1));
	}
	else
	{
		strHeaderFile.Format(_T("%s.h"), m_ClassName);
		strImplementationFile.Format(_T("%s.cpp"), m_ClassName);
	}
	m_HeaderFile = strHeaderFile;
	m_ImplementationFile = strImplementationFile;

	UpdateData(FALSE);
}
