// VisualClassBuilderView.h : interface of the CVisualClassBuilderView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VISUALCLASSBUILDERVIEW_H__52FBDC0C_CDFE_4D6C_8A1A_6F8A423434CF__INCLUDED_)
#define AFX_VISUALCLASSBUILDERVIEW_H__52FBDC0C_CDFE_4D6C_8A1A_6F8A423434CF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CVisualClassBuilderView : public CView
{
protected: // create from serialization only
	CVisualClassBuilderView();
	DECLARE_DYNCREATE(CVisualClassBuilderView)

// Attributes
public:
	int m_PageWidth;
	int m_PageHeight;
	BOOL m_bPrinting;
	HDC m_hMemDC;
	HBITMAP m_hMemBitmap;
	HBITMAP m_hOldMemBitmap;
	POINT m_EndPoint;
	POINT m_StartPoint;
	CVisualClassBuilderDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVisualClassBuilderView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVisualClassBuilderView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVisualClassBuilderView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in VisualClassBuilderView.cpp
inline CVisualClassBuilderDoc* CVisualClassBuilderView::GetDocument()
   { return (CVisualClassBuilderDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VISUALCLASSBUILDERVIEW_H__52FBDC0C_CDFE_4D6C_8A1A_6F8A423434CF__INCLUDED_)
