// StructDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VisualClassBuilder.h"
#include "StructDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStructDlg dialog


CStructDlg::CStructDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStructDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStructDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CStructDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStructDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStructDlg, CDialog)
	//{{AFX_MSG_MAP(CStructDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStructDlg message handlers

BOOL CStructDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// Add struct dialog property pages
	m_Sheet.AddPage(&m_Options1);
	m_Sheet.AddPage(&m_Options2);
	m_Sheet.Create(this, WS_CHILD | WS_VISIBLE, 0);
	m_Sheet.ModifyStyleEx(0, WS_EX_CONTROLPARENT);
	m_Sheet.ModifyStyleEx(0, WS_TABSTOP);
	m_Sheet.SetWindowPos(NULL, 35, 20, 500, 280, SWP_NOZORDER | SWP_NOACTIVATE);

	// Set struct options_1 params
	m_Options1.m_StructName = m_lpszStructName;
	m_Options1.m_Author = m_lpszAuthor;
	m_Options1.m_Description = m_lpszDescription;

	// Set struct options_2 params
	m_Options2.m_iVariableNumber = m_iVariableNumber;
	m_Options2.m_pVariableList = m_pVariableList;

	// Check for active property page
	switch (m_Sheet.GetActiveIndex())
	{
		case 0:
		{
			m_Options1.UpdateData(FALSE);
		}
		break;

		case 1:
		{
			m_Options2.UpdateData(FALSE);
		}
		break;
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CStructDlg::OnOK() 
{
	// Check for active property page
	switch (m_Sheet.GetActiveIndex())
	{
		case 0:
		{
			m_Options1.UpdateData(TRUE);
		}
		break;

		case 1:
		{
			m_Options2.UpdateData(TRUE);
		}
		break;
	}

	// Get struct options_1 params
	_tcscpy(m_lpszStructName, m_Options1.m_StructName);
	_tcscpy(m_lpszAuthor, m_Options1.m_Author);
	_tcscpy(m_lpszDescription, m_Options1.m_Description);

	// Get struct options_2 params
	m_iVariableNumber = m_Options2.m_iVariableNumber;
	m_pVariableList = m_Options2.m_pVariableList;
	
	CDialog::OnOK();
}
