// VisualClassBuilderDoc.h : interface of the CVisualClassBuilderDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VISUALCLASSBUILDERDOC_H__A75F4858_E00C_42A3_8BCC_81ED3F9EA80C__INCLUDED_)
#define AFX_VISUALCLASSBUILDERDOC_H__A75F4858_E00C_42A3_8BCC_81ED3F9EA80C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "vcb_objects/VCBObjectManager.h"
#include "vcb_objects/VCBClass.h"
#include "vcb_objects/VCBStruct.h"


class CVisualClassBuilderDoc : public CDocument
{
protected: // create from serialization only
	CVisualClassBuilderDoc();
	DECLARE_DYNCREATE(CVisualClassBuilderDoc)

// Attributes
public:
	CVCBObjectManager m_VCBObjectManager;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVisualClassBuilderDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVisualClassBuilderDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVisualClassBuilderDoc)
	afx_msg void OnInsertClass();
	afx_msg void OnBuildGenerateFiles();
	afx_msg void OnInsertStruct();
	afx_msg void OnBuildClearOutput();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VISUALCLASSBUILDERDOC_H__A75F4858_E00C_42A3_8BCC_81ED3F9EA80C__INCLUDED_)
